Hi Nicolas,

They are still provided in the spring-legacy features repository:

https://github.com/apache/karaf/blob/master/assemblies/features/spring-legacy/src/main/feature/feature.xml#L502

https://github.com/apache/karaf/blob/master/assemblies/features/spring-legacy/src/main/feature/feature.xml#L513

Spring Security bundles doesn't support Spring 5.x for now, that's why they are in Spring Legacy (providing Spring 3/4).

Regards
JB

On 11/04/2018 10:37, DUTERTRY Nicolas wrote:
Hi,

A spring-security feature was available in Karaf version 3, but it is not the case anymore in Karaf 4.1 or 4.2.

Do you know if there is a good reason for that ? Is it possible to add it in future Karaf 4.2.1 ?

Regards,

--

Nicolas Dutertry

Sopra HR Software - http://www.soprahr.com/

Reply via email to